> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal card details

> Generates a short-lived URL to securely display card details (PAN, CVV, expiry) in an iframe or WebView. The URL is valid for 5 minutes and is single-use. Do not store, log, or expose this URL beyond the immediate display context.



## OpenAPI

````yaml /api-reference/openapi.json post /cards/{id}/reveal
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /cards/{id}/reveal:
    post:
      tags:
        - Cards
      summary: Reveal card details
      description: >-
        Generates a short-lived URL to securely display card details (PAN, CVV,
        expiry) in an iframe or WebView. The URL is valid for 5 minutes and is
        single-use. Do not store, log, or expose this URL beyond the immediate
        display context.
      operationId: reveal_cards
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      requestBody:
        description: Request body for revealing card details
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                stylesheetUrl:
                  default: null
                  description: URL to a custom stylesheet for the card details iframe
                  anyOf:
                    - type: string
                      format: uri
                    - type: 'null'
                showCopyPanButton:
                  default: false
                  description: Display copy PAN button in the iframe
                  type: boolean
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                stylesheetUrl:
                  default: null
                  description: URL to a custom stylesheet for the card details iframe
                  anyOf:
                    - type: string
                      format: uri
                    - type: 'null'
                showCopyPanButton:
                  default: false
                  description: Display copy PAN button in the iframe
                  type: boolean
          multipart/form-data:
            schema:
              type: object
              properties:
                stylesheetUrl:
                  default: null
                  description: URL to a custom stylesheet for the card details iframe
                  anyOf:
                    - type: string
                      format: uri
                    - type: 'null'
                showCopyPanButton:
                  default: false
                  description: Display copy PAN button in the iframe
                  type: boolean
      responses:
        '200':
          description: Card reveal response
          content:
            application/json:
              schema:
                type: object
                properties:
                  revealUrl:
                    type: string
                    format: uri
                    description: >-
                      URL to load in an iframe or WebView to display card
                      details (PAN, CVV, expiry). Valid for 5 minutes. Do not
                      store or expose this URL beyond the immediate display
                      context.
                  expiresAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: ISO 8601 expiration timestamp for the reveal URL
                required:
                  - revealUrl
                  - expiresAt
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: CARD_OPERATION_NOT_ALLOWED
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: CardOperationNotAllowedError
                    description: Card operation not allowed in current status
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: ACCOUNT_NOT_ACTIVE
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: AccountNotActiveError
                    description: Account is not active
        '404':
          description: Card not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: CARD_NOT_FOUND
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: CardNotFoundError
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````